#import <Foundation/Foundation.h>
#import "EPCData.h"
typedef NS_ENUM(NSInteger, SGTINType) {
    SGTINTypeSGTIN_96,
    SGTINTypeSGTIN_198,
};

@interface GS1EPCRFIDSGTINData :EPCData
@property (nonatomic, assign)long long filterValue;
@property (nonatomic, assign)long long partitionValue;
@property (nonatomic, strong)NSString *companyValue;
@property (nonatomic, strong)NSString *itemValue;
@property (nonatomic, strong)NSString *serialValue;
@property (nonatomic, strong)NSString *serialURIValue;

@property (nonatomic, assign)SGTINType sgtinType;

@end

@interface GS1EPCRFIDFilter : NSObject
@property (nonatomic, assign)long long decimalfilterValue;
@property (nonatomic, strong)NSString *binaryfilterValue;
@property (nonatomic, strong)NSString *filterType;

- (instancetype)initWithDecimalfilterValue:(long long)decimalfilterValue;
@end

@interface GS1EPCRFIDPartition : NSObject
@property (nonatomic, assign)long long decimalPartitionValue;
@property (nonatomic, assign)long long companyBits;
@property (nonatomic, assign)long long companyDigits;
@property (nonatomic, assign)long long itemBits;
@property (nonatomic, assign)long long itemDigits;

- (instancetype)initWithDecimalPartitionValueValue:(long long)decimalPartitionValue;
@end
